Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network204.78.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
204.78.0.0
Broadcast address
204.78.127.255
First usable
204.78.0.1
Last usable
204.78.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex CC4E0000 · Integer 3427663872 to 3427696639
Reverse DNS zones
0.78.204.in-addr.arpa
1.78.204.in-addr.arpa
2.78.204.in-addr.arpa
3.78.204.in-addr.arpa
4.78.204.in-addr.arpa
5.78.204.in-addr.arpa
6.78.204.in-addr.arpa
7.78.204.in-addr.arpa
8.78.204.in-addr.arpa
9.78.204.in-addr.arpa
10.78.204.in-addr.arpa
11.78.204.in-addr.arpa
12.78.204.in-addr.arpa
13.78.204.in-addr.arpa
14.78.204.in-addr.arpa
15.78.204.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001100.01001110.00000000.00000000204.78.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11001100.01001110.00000000.00000000204.78.0.0
Broadcast11001100.01001110.01111111.11111111204.78.127.255
Split into smaller subnets/28

204.78.0.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1204.78.0.0/28204.78.0.1 to 204.78.0.14204.78.0.1514
2204.78.0.16/28204.78.0.17 to 204.78.0.30204.78.0.3114
3204.78.0.32/28204.78.0.33 to 204.78.0.46204.78.0.4714
4204.78.0.48/28204.78.0.49 to 204.78.0.62204.78.0.6314
5204.78.0.64/28204.78.0.65 to 204.78.0.78204.78.0.7914
6204.78.0.80/28204.78.0.81 to 204.78.0.94204.78.0.9514
7204.78.0.96/28204.78.0.97 to 204.78.0.110204.78.0.11114
8204.78.0.112/28204.78.0.113 to 204.78.0.126204.78.0.12714
9204.78.0.128/28204.78.0.129 to 204.78.0.142204.78.0.14314
10204.78.0.144/28204.78.0.145 to 204.78.0.158204.78.0.15914
11204.78.0.160/28204.78.0.161 to 204.78.0.174204.78.0.17514
12204.78.0.176/28204.78.0.177 to 204.78.0.190204.78.0.19114
13204.78.0.192/28204.78.0.193 to 204.78.0.206204.78.0.20714
14204.78.0.208/28204.78.0.209 to 204.78.0.222204.78.0.22314
15204.78.0.224/28204.78.0.225 to 204.78.0.238204.78.0.23914
16204.78.0.240/28204.78.0.241 to 204.78.0.254204.78.0.25514
17204.78.1.0/28204.78.1.1 to 204.78.1.14204.78.1.1514
18204.78.1.16/28204.78.1.17 to 204.78.1.30204.78.1.3114
19204.78.1.32/28204.78.1.33 to 204.78.1.46204.78.1.4714
20204.78.1.48/28204.78.1.49 to 204.78.1.62204.78.1.6314
21204.78.1.64/28204.78.1.65 to 204.78.1.78204.78.1.7914
22204.78.1.80/28204.78.1.81 to 204.78.1.94204.78.1.9514
23204.78.1.96/28204.78.1.97 to 204.78.1.110204.78.1.11114
24204.78.1.112/28204.78.1.113 to 204.78.1.126204.78.1.12714
25204.78.1.128/28204.78.1.129 to 204.78.1.142204.78.1.14314
26204.78.1.144/28204.78.1.145 to 204.78.1.158204.78.1.15914
27204.78.1.160/28204.78.1.161 to 204.78.1.174204.78.1.17514
28204.78.1.176/28204.78.1.177 to 204.78.1.190204.78.1.19114
29204.78.1.192/28204.78.1.193 to 204.78.1.206204.78.1.20714
30204.78.1.208/28204.78.1.209 to 204.78.1.222204.78.1.22314
31204.78.1.224/28204.78.1.225 to 204.78.1.238204.78.1.23914
32204.78.1.240/28204.78.1.241 to 204.78.1.254204.78.1.25514
33204.78.2.0/28204.78.2.1 to 204.78.2.14204.78.2.1514
34204.78.2.16/28204.78.2.17 to 204.78.2.30204.78.2.3114
35204.78.2.32/28204.78.2.33 to 204.78.2.46204.78.2.4714
36204.78.2.48/28204.78.2.49 to 204.78.2.62204.78.2.6314
37204.78.2.64/28204.78.2.65 to 204.78.2.78204.78.2.7914
38204.78.2.80/28204.78.2.81 to 204.78.2.94204.78.2.9514
39204.78.2.96/28204.78.2.97 to 204.78.2.110204.78.2.11114
40204.78.2.112/28204.78.2.113 to 204.78.2.126204.78.2.12714
41204.78.2.128/28204.78.2.129 to 204.78.2.142204.78.2.14314
42204.78.2.144/28204.78.2.145 to 204.78.2.158204.78.2.15914
43204.78.2.160/28204.78.2.161 to 204.78.2.174204.78.2.17514
44204.78.2.176/28204.78.2.177 to 204.78.2.190204.78.2.19114
45204.78.2.192/28204.78.2.193 to 204.78.2.206204.78.2.20714
46204.78.2.208/28204.78.2.209 to 204.78.2.222204.78.2.22314
47204.78.2.224/28204.78.2.225 to 204.78.2.238204.78.2.23914
48204.78.2.240/28204.78.2.241 to 204.78.2.254204.78.2.25514
49204.78.3.0/28204.78.3.1 to 204.78.3.14204.78.3.1514
50204.78.3.16/28204.78.3.17 to 204.78.3.30204.78.3.3114
51204.78.3.32/28204.78.3.33 to 204.78.3.46204.78.3.4714
52204.78.3.48/28204.78.3.49 to 204.78.3.62204.78.3.6314
53204.78.3.64/28204.78.3.65 to 204.78.3.78204.78.3.7914
54204.78.3.80/28204.78.3.81 to 204.78.3.94204.78.3.9514
55204.78.3.96/28204.78.3.97 to 204.78.3.110204.78.3.11114
56204.78.3.112/28204.78.3.113 to 204.78.3.126204.78.3.12714
57204.78.3.128/28204.78.3.129 to 204.78.3.142204.78.3.14314
58204.78.3.144/28204.78.3.145 to 204.78.3.158204.78.3.15914
59204.78.3.160/28204.78.3.161 to 204.78.3.174204.78.3.17514
60204.78.3.176/28204.78.3.177 to 204.78.3.190204.78.3.19114
61204.78.3.192/28204.78.3.193 to 204.78.3.206204.78.3.20714
62204.78.3.208/28204.78.3.209 to 204.78.3.222204.78.3.22314
63204.78.3.224/28204.78.3.225 to 204.78.3.238204.78.3.23914
64204.78.3.240/28204.78.3.241 to 204.78.3.254204.78.3.25514
65204.78.4.0/28204.78.4.1 to 204.78.4.14204.78.4.1514
66204.78.4.16/28204.78.4.17 to 204.78.4.30204.78.4.3114
67204.78.4.32/28204.78.4.33 to 204.78.4.46204.78.4.4714
68204.78.4.48/28204.78.4.49 to 204.78.4.62204.78.4.6314
69204.78.4.64/28204.78.4.65 to 204.78.4.78204.78.4.7914
70204.78.4.80/28204.78.4.81 to 204.78.4.94204.78.4.9514
71204.78.4.96/28204.78.4.97 to 204.78.4.110204.78.4.11114
72204.78.4.112/28204.78.4.113 to 204.78.4.126204.78.4.12714
73204.78.4.128/28204.78.4.129 to 204.78.4.142204.78.4.14314
74204.78.4.144/28204.78.4.145 to 204.78.4.158204.78.4.15914
75204.78.4.160/28204.78.4.161 to 204.78.4.174204.78.4.17514
76204.78.4.176/28204.78.4.177 to 204.78.4.190204.78.4.19114
77204.78.4.192/28204.78.4.193 to 204.78.4.206204.78.4.20714
78204.78.4.208/28204.78.4.209 to 204.78.4.222204.78.4.22314
79204.78.4.224/28204.78.4.225 to 204.78.4.238204.78.4.23914
80204.78.4.240/28204.78.4.241 to 204.78.4.254204.78.4.25514
81204.78.5.0/28204.78.5.1 to 204.78.5.14204.78.5.1514
82204.78.5.16/28204.78.5.17 to 204.78.5.30204.78.5.3114
83204.78.5.32/28204.78.5.33 to 204.78.5.46204.78.5.4714
84204.78.5.48/28204.78.5.49 to 204.78.5.62204.78.5.6314
85204.78.5.64/28204.78.5.65 to 204.78.5.78204.78.5.7914
86204.78.5.80/28204.78.5.81 to 204.78.5.94204.78.5.9514
87204.78.5.96/28204.78.5.97 to 204.78.5.110204.78.5.11114
88204.78.5.112/28204.78.5.113 to 204.78.5.126204.78.5.12714
89204.78.5.128/28204.78.5.129 to 204.78.5.142204.78.5.14314
90204.78.5.144/28204.78.5.145 to 204.78.5.158204.78.5.15914
91204.78.5.160/28204.78.5.161 to 204.78.5.174204.78.5.17514
92204.78.5.176/28204.78.5.177 to 204.78.5.190204.78.5.19114
93204.78.5.192/28204.78.5.193 to 204.78.5.206204.78.5.20714
94204.78.5.208/28204.78.5.209 to 204.78.5.222204.78.5.22314
95204.78.5.224/28204.78.5.225 to 204.78.5.238204.78.5.23914
96204.78.5.240/28204.78.5.241 to 204.78.5.254204.78.5.25514
97204.78.6.0/28204.78.6.1 to 204.78.6.14204.78.6.1514
98204.78.6.16/28204.78.6.17 to 204.78.6.30204.78.6.3114
99204.78.6.32/28204.78.6.33 to 204.78.6.46204.78.6.4714
100204.78.6.48/28204.78.6.49 to 204.78.6.62204.78.6.6314
101204.78.6.64/28204.78.6.65 to 204.78.6.78204.78.6.7914
102204.78.6.80/28204.78.6.81 to 204.78.6.94204.78.6.9514
103204.78.6.96/28204.78.6.97 to 204.78.6.110204.78.6.11114
104204.78.6.112/28204.78.6.113 to 204.78.6.126204.78.6.12714
105204.78.6.128/28204.78.6.129 to 204.78.6.142204.78.6.14314
106204.78.6.144/28204.78.6.145 to 204.78.6.158204.78.6.15914
107204.78.6.160/28204.78.6.161 to 204.78.6.174204.78.6.17514
108204.78.6.176/28204.78.6.177 to 204.78.6.190204.78.6.19114
109204.78.6.192/28204.78.6.193 to 204.78.6.206204.78.6.20714
110204.78.6.208/28204.78.6.209 to 204.78.6.222204.78.6.22314
111204.78.6.224/28204.78.6.225 to 204.78.6.238204.78.6.23914
112204.78.6.240/28204.78.6.241 to 204.78.6.254204.78.6.25514
113204.78.7.0/28204.78.7.1 to 204.78.7.14204.78.7.1514
114204.78.7.16/28204.78.7.17 to 204.78.7.30204.78.7.3114
115204.78.7.32/28204.78.7.33 to 204.78.7.46204.78.7.4714
116204.78.7.48/28204.78.7.49 to 204.78.7.62204.78.7.6314
117204.78.7.64/28204.78.7.65 to 204.78.7.78204.78.7.7914
118204.78.7.80/28204.78.7.81 to 204.78.7.94204.78.7.9514
119204.78.7.96/28204.78.7.97 to 204.78.7.110204.78.7.11114
120204.78.7.112/28204.78.7.113 to 204.78.7.126204.78.7.12714
121204.78.7.128/28204.78.7.129 to 204.78.7.142204.78.7.14314
122204.78.7.144/28204.78.7.145 to 204.78.7.158204.78.7.15914
123204.78.7.160/28204.78.7.161 to 204.78.7.174204.78.7.17514
124204.78.7.176/28204.78.7.177 to 204.78.7.190204.78.7.19114
125204.78.7.192/28204.78.7.193 to 204.78.7.206204.78.7.20714
126204.78.7.208/28204.78.7.209 to 204.78.7.222204.78.7.22314
127204.78.7.224/28204.78.7.225 to 204.78.7.238204.78.7.23914
128204.78.7.240/28204.78.7.241 to 204.78.7.254204.78.7.25514
129204.78.8.0/28204.78.8.1 to 204.78.8.14204.78.8.1514
130204.78.8.16/28204.78.8.17 to 204.78.8.30204.78.8.3114
131204.78.8.32/28204.78.8.33 to 204.78.8.46204.78.8.4714
132204.78.8.48/28204.78.8.49 to 204.78.8.62204.78.8.6314
133204.78.8.64/28204.78.8.65 to 204.78.8.78204.78.8.7914
134204.78.8.80/28204.78.8.81 to 204.78.8.94204.78.8.9514
135204.78.8.96/28204.78.8.97 to 204.78.8.110204.78.8.11114
136204.78.8.112/28204.78.8.113 to 204.78.8.126204.78.8.12714
137204.78.8.128/28204.78.8.129 to 204.78.8.142204.78.8.14314
138204.78.8.144/28204.78.8.145 to 204.78.8.158204.78.8.15914
139204.78.8.160/28204.78.8.161 to 204.78.8.174204.78.8.17514
140204.78.8.176/28204.78.8.177 to 204.78.8.190204.78.8.19114
141204.78.8.192/28204.78.8.193 to 204.78.8.206204.78.8.20714
142204.78.8.208/28204.78.8.209 to 204.78.8.222204.78.8.22314
143204.78.8.224/28204.78.8.225 to 204.78.8.238204.78.8.23914
144204.78.8.240/28204.78.8.241 to 204.78.8.254204.78.8.25514
145204.78.9.0/28204.78.9.1 to 204.78.9.14204.78.9.1514
146204.78.9.16/28204.78.9.17 to 204.78.9.30204.78.9.3114
147204.78.9.32/28204.78.9.33 to 204.78.9.46204.78.9.4714
148204.78.9.48/28204.78.9.49 to 204.78.9.62204.78.9.6314
149204.78.9.64/28204.78.9.65 to 204.78.9.78204.78.9.7914
150204.78.9.80/28204.78.9.81 to 204.78.9.94204.78.9.9514
151204.78.9.96/28204.78.9.97 to 204.78.9.110204.78.9.11114
152204.78.9.112/28204.78.9.113 to 204.78.9.126204.78.9.12714
153204.78.9.128/28204.78.9.129 to 204.78.9.142204.78.9.14314
154204.78.9.144/28204.78.9.145 to 204.78.9.158204.78.9.15914
155204.78.9.160/28204.78.9.161 to 204.78.9.174204.78.9.17514
156204.78.9.176/28204.78.9.177 to 204.78.9.190204.78.9.19114
157204.78.9.192/28204.78.9.193 to 204.78.9.206204.78.9.20714
158204.78.9.208/28204.78.9.209 to 204.78.9.222204.78.9.22314
159204.78.9.224/28204.78.9.225 to 204.78.9.238204.78.9.23914
160204.78.9.240/28204.78.9.241 to 204.78.9.254204.78.9.25514
161204.78.10.0/28204.78.10.1 to 204.78.10.14204.78.10.1514
162204.78.10.16/28204.78.10.17 to 204.78.10.30204.78.10.3114
163204.78.10.32/28204.78.10.33 to 204.78.10.46204.78.10.4714
164204.78.10.48/28204.78.10.49 to 204.78.10.62204.78.10.6314
165204.78.10.64/28204.78.10.65 to 204.78.10.78204.78.10.7914
166204.78.10.80/28204.78.10.81 to 204.78.10.94204.78.10.9514
167204.78.10.96/28204.78.10.97 to 204.78.10.110204.78.10.11114
168204.78.10.112/28204.78.10.113 to 204.78.10.126204.78.10.12714
169204.78.10.128/28204.78.10.129 to 204.78.10.142204.78.10.14314
170204.78.10.144/28204.78.10.145 to 204.78.10.158204.78.10.15914
171204.78.10.160/28204.78.10.161 to 204.78.10.174204.78.10.17514
172204.78.10.176/28204.78.10.177 to 204.78.10.190204.78.10.19114
173204.78.10.192/28204.78.10.193 to 204.78.10.206204.78.10.20714
174204.78.10.208/28204.78.10.209 to 204.78.10.222204.78.10.22314
175204.78.10.224/28204.78.10.225 to 204.78.10.238204.78.10.23914
176204.78.10.240/28204.78.10.241 to 204.78.10.254204.78.10.25514
177204.78.11.0/28204.78.11.1 to 204.78.11.14204.78.11.1514
178204.78.11.16/28204.78.11.17 to 204.78.11.30204.78.11.3114
179204.78.11.32/28204.78.11.33 to 204.78.11.46204.78.11.4714
180204.78.11.48/28204.78.11.49 to 204.78.11.62204.78.11.6314
181204.78.11.64/28204.78.11.65 to 204.78.11.78204.78.11.7914
182204.78.11.80/28204.78.11.81 to 204.78.11.94204.78.11.9514
183204.78.11.96/28204.78.11.97 to 204.78.11.110204.78.11.11114
184204.78.11.112/28204.78.11.113 to 204.78.11.126204.78.11.12714
185204.78.11.128/28204.78.11.129 to 204.78.11.142204.78.11.14314
186204.78.11.144/28204.78.11.145 to 204.78.11.158204.78.11.15914
187204.78.11.160/28204.78.11.161 to 204.78.11.174204.78.11.17514
188204.78.11.176/28204.78.11.177 to 204.78.11.190204.78.11.19114
189204.78.11.192/28204.78.11.193 to 204.78.11.206204.78.11.20714
190204.78.11.208/28204.78.11.209 to 204.78.11.222204.78.11.22314
191204.78.11.224/28204.78.11.225 to 204.78.11.238204.78.11.23914
192204.78.11.240/28204.78.11.241 to 204.78.11.254204.78.11.25514
193204.78.12.0/28204.78.12.1 to 204.78.12.14204.78.12.1514
194204.78.12.16/28204.78.12.17 to 204.78.12.30204.78.12.3114
195204.78.12.32/28204.78.12.33 to 204.78.12.46204.78.12.4714
196204.78.12.48/28204.78.12.49 to 204.78.12.62204.78.12.6314
197204.78.12.64/28204.78.12.65 to 204.78.12.78204.78.12.7914
198204.78.12.80/28204.78.12.81 to 204.78.12.94204.78.12.9514
199204.78.12.96/28204.78.12.97 to 204.78.12.110204.78.12.11114
200204.78.12.112/28204.78.12.113 to 204.78.12.126204.78.12.12714
201204.78.12.128/28204.78.12.129 to 204.78.12.142204.78.12.14314
202204.78.12.144/28204.78.12.145 to 204.78.12.158204.78.12.15914
203204.78.12.160/28204.78.12.161 to 204.78.12.174204.78.12.17514
204204.78.12.176/28204.78.12.177 to 204.78.12.190204.78.12.19114
205204.78.12.192/28204.78.12.193 to 204.78.12.206204.78.12.20714
206204.78.12.208/28204.78.12.209 to 204.78.12.222204.78.12.22314
207204.78.12.224/28204.78.12.225 to 204.78.12.238204.78.12.23914
208204.78.12.240/28204.78.12.241 to 204.78.12.254204.78.12.25514
209204.78.13.0/28204.78.13.1 to 204.78.13.14204.78.13.1514
210204.78.13.16/28204.78.13.17 to 204.78.13.30204.78.13.3114
211204.78.13.32/28204.78.13.33 to 204.78.13.46204.78.13.4714
212204.78.13.48/28204.78.13.49 to 204.78.13.62204.78.13.6314
213204.78.13.64/28204.78.13.65 to 204.78.13.78204.78.13.7914
214204.78.13.80/28204.78.13.81 to 204.78.13.94204.78.13.9514
215204.78.13.96/28204.78.13.97 to 204.78.13.110204.78.13.11114
216204.78.13.112/28204.78.13.113 to 204.78.13.126204.78.13.12714
217204.78.13.128/28204.78.13.129 to 204.78.13.142204.78.13.14314
218204.78.13.144/28204.78.13.145 to 204.78.13.158204.78.13.15914
219204.78.13.160/28204.78.13.161 to 204.78.13.174204.78.13.17514
220204.78.13.176/28204.78.13.177 to 204.78.13.190204.78.13.19114
221204.78.13.192/28204.78.13.193 to 204.78.13.206204.78.13.20714
222204.78.13.208/28204.78.13.209 to 204.78.13.222204.78.13.22314
223204.78.13.224/28204.78.13.225 to 204.78.13.238204.78.13.23914
224204.78.13.240/28204.78.13.241 to 204.78.13.254204.78.13.25514
225204.78.14.0/28204.78.14.1 to 204.78.14.14204.78.14.1514
226204.78.14.16/28204.78.14.17 to 204.78.14.30204.78.14.3114
227204.78.14.32/28204.78.14.33 to 204.78.14.46204.78.14.4714
228204.78.14.48/28204.78.14.49 to 204.78.14.62204.78.14.6314
229204.78.14.64/28204.78.14.65 to 204.78.14.78204.78.14.7914
230204.78.14.80/28204.78.14.81 to 204.78.14.94204.78.14.9514
231204.78.14.96/28204.78.14.97 to 204.78.14.110204.78.14.11114
232204.78.14.112/28204.78.14.113 to 204.78.14.126204.78.14.12714
233204.78.14.128/28204.78.14.129 to 204.78.14.142204.78.14.14314
234204.78.14.144/28204.78.14.145 to 204.78.14.158204.78.14.15914
235204.78.14.160/28204.78.14.161 to 204.78.14.174204.78.14.17514
236204.78.14.176/28204.78.14.177 to 204.78.14.190204.78.14.19114
237204.78.14.192/28204.78.14.193 to 204.78.14.206204.78.14.20714
238204.78.14.208/28204.78.14.209 to 204.78.14.222204.78.14.22314
239204.78.14.224/28204.78.14.225 to 204.78.14.238204.78.14.23914
240204.78.14.240/28204.78.14.241 to 204.78.14.254204.78.14.25514
241204.78.15.0/28204.78.15.1 to 204.78.15.14204.78.15.1514
242204.78.15.16/28204.78.15.17 to 204.78.15.30204.78.15.3114
243204.78.15.32/28204.78.15.33 to 204.78.15.46204.78.15.4714
244204.78.15.48/28204.78.15.49 to 204.78.15.62204.78.15.6314
245204.78.15.64/28204.78.15.65 to 204.78.15.78204.78.15.7914
246204.78.15.80/28204.78.15.81 to 204.78.15.94204.78.15.9514
247204.78.15.96/28204.78.15.97 to 204.78.15.110204.78.15.11114
248204.78.15.112/28204.78.15.113 to 204.78.15.126204.78.15.12714
249204.78.15.128/28204.78.15.129 to 204.78.15.142204.78.15.14314
250204.78.15.144/28204.78.15.145 to 204.78.15.158204.78.15.15914
251204.78.15.160/28204.78.15.161 to 204.78.15.174204.78.15.17514
252204.78.15.176/28204.78.15.177 to 204.78.15.190204.78.15.19114
253204.78.15.192/28204.78.15.193 to 204.78.15.206204.78.15.20714
254204.78.15.208/28204.78.15.209 to 204.78.15.222204.78.15.22314
255204.78.15.224/28204.78.15.225 to 204.78.15.238204.78.15.23914
256204.78.15.240/28204.78.15.241 to 204.78.15.254204.78.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses